Skip to main content
`Ctrl`+`K`

# PetscOptionsLeft

Prints to screen any options that were set and never used.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsLeft(PetscOptions options)

Not Collective

## Input Parameter

- options - options database; use `NULL` for default global database

## Options Database Key

- -options_left - activates `PetscOptionsAllUsed()` within `PetscFinalize()`

## Notes

This is rarely used directly, it is called by `PetscFinalize()` by default (unless `-options_left false` is specified) to help users determine possible mistakes in their usage of options. This only prints values on process zero of `PETSC_COMM_WORLD`.

Other processes depending the objects used may have different options that are left unused.

## See Also

`PetscOptionsAllUsed()`

## Level

advanced

## Location

src/sys/objects/options.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages